
<p align="center">
    <img src="https://vispm.s3.ap-southeast-2.amazonaws.com/_logo.svg" style="transform: scale(2.0)">
</p>

# VISPM: Visualisations for Process Mining

A python library for creating visualisations using matplotlib that are related to process mining, all graphs are generated using [matplotlib](https://pypi.org/project/matplotlib/).

## What is it?
This package provides an interface for making exciting visualisations about process mining. Process mining can be a purely technical endeavour at times, and having an easy way to visualise concepts is essential. To encourage others to overcome the technical components of process mining, sometimes having an engaging animation will do just that. A key difference between other data science domains and process mining is that process mining outcomes often will have a visual interpretation that others don’t. We need more ways to emphasise this aspect, and this project is one such way.

The goal of vispm is to:
- Have fun and create some cool stuff.
- Make exciting process mining visualisation that would aspire others.
- Create a layer interface supporting three levels: quick-easy access, general templates for specific use cases, super customisation via class objects. 

## Main Features

Here are a currently supported process mining visualisations:
- Dotted Charts
    - static
    - running
    - complex custom templates

## Where to get it 

The source code is currently available on GitHub: https://github.com/AdamBanham/vispm

Installers for the latest released versionsa re available at the Python Package Index (PyPI)
```
pip install vispm
```
